#include "MapViewManager.h"

#include "MapFrame.h"

MapViewManager* MapViewManager::_instance=NULL;

MapViewManager::MapViewManager():_activeView(NULL)
{
}

MapViewManager::~MapViewManager() {
}

void MapViewManager::ActivateView(MapFrame* view) {
        if (_activeView==view)
                return;
        
        if (_activeView) {
                _activeView->DeactivateView();
        }
        
        _activeView=view;
        
        view->ActivateView();
}

void MapViewManager::DeactivateView(MapFrame* view) {
        if (_activeView!=view)
                return;
        view->DeactivateView();
        _activeView=NULL;
}
